package com.muyu.cloud.etl.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.domain.Source;
import com.muyu.domain.req.SourceReq;

import java.util.List;

public interface SourceService extends IService<Source> {
    List<Source> selectSourceList(SourceReq sourceReq);

    Source getInfo(Long id);

    int insertBasicConfigInfo(Source sourceReq);

    Integer deleteByIds(String ids);

    int updataSource(Source sourceReq);

    int connectionTest(Source source);

    int structure(Source source);
}
