package com.muyu.cloud.etl.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.cloud.etl.mapper.TableInfoMapper;
import com.muyu.cloud.etl.service.TableInfoService;
import com.muyu.domain.TableInfo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class TableServiceImpl extends ServiceImpl<TableInfoMapper, TableInfo> implements TableInfoService {
    @Autowired
    private TableInfoMapper tableInfoMapper;

    @Override
    public TableInfo selectTableInfoByName(TableInfo tableInfoInsert) {
        LambdaQueryWrapper<TableInfo> tableInfoLambdaQueryWrapper = new LambdaQueryWrapper<>();
//        tableInfoLambdaQueryWrapper.eq(TableInfo::getId, tableInfoInsert.getId());
        //

        tableInfoLambdaQueryWrapper.eq(TableInfo::getBasicId, tableInfoInsert.getBasicId());
        tableInfoLambdaQueryWrapper.eq(TableInfo::getTableName, tableInfoInsert.getTableName())
                .eq(TableInfo::getParentId, tableInfoInsert.getParentId());

        return  this.tableInfoMapper.selectOne(tableInfoLambdaQueryWrapper);
    }
}
